[BUG] Rasa X does not support entity roles

rasa x version: 0.42.0
rasa: 2.8.2
SQLAlchemy: 1.4.22
CentOS: centos-release-8.2-2.2004.0.2.el8.x86_64

rasa --version
Rasa Version      :         2.8.2
Minimum Compatible Version: 2.8.0
Rasa SDK Version  :         2.8.1
Rasa X Version    :         0.42.0
Python Version    :         3.6.8
Operating System  :         Linux-4.18.0-193.28.1.el8_2.x86_64-x86_64-with-centos-8.2.2004-Core
Python Path       :         /root/venv-rasa/bin/python3


2021-08-07 10:13:02 DEBUG    urllib3.connectionpool  - Starting new HTTPS connection (1): api.segment.io:443
2021-08-07 10:13:04 DEBUG    urllib3.connectionpool  - https://api.segment.io:443 "POST /v1/track HTTP/1.1" 200 21
2021-08-07 10:13:04 DEBUG    git.cmd  - Popen(['git', 'version'], cwd=/home/admin/rasa-service, universal_newlines=False, shell=None, istream=None)
2021-08-07 10:13:04 DEBUG    git.cmd  - Popen(['git', 'version'], cwd=/home/admin/rasa-service, universal_newlines=False, shell=None, istream=None)
2021-08-07 10:13:04 DEBUG    rasax.community.utils.common  - Generating JWT RSA key pair.
2021-08-07 10:13:04 DEBUG    rasax.community.telemetry  - Started consuming telemetry events.
2021-08-07 10:13:04 DEBUG    rasax.community.utils.common  - Saved RSA private key to temporary file '/tmp/tmpawvxrv8y'.
2021-08-07 10:13:04 DEBUG    sanic_jwt.configuration  - validating provided secret
2021-08-07 10:13:04 DEBUG    sanic_jwt.configuration  - validating keys (if needed)
2021-08-07 10:13:04 DEBUG    sanic_jwt.configuration  - loading secret and/or keys (if needed)
2021-08-07 10:13:04 DEBUG    rasax.community.sql_migrations  - Start running schema migrations.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned SQLite foreign key enforcement on.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned on SQLite WAL mode.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned SQLite foreign key enforcement off.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned on SQLite WAL mode.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned SQLite foreign key enforcement on.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned on SQLite WAL mode.
2021-08-07 10:13:04 DEBUG    rasax.community.sql_migrations  - Schema migrations finished.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned SQLite foreign key enforcement on.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned on SQLite WAL mode.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned SQLite foreign key enforcement on.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned on SQLite WAL mode.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned SQLite foreign key enforcement on.
2021-08-07 10:13:04 DEBUG    rasax.community.database.utils  - Turned on SQLite WAL mode.
2021-08-07 10:13:04 DEBUG    rasax.community.sql_migrations  - Found existing system system user 'system_user'.
2021-08-07 10:13:04 DEBUG    rasax.community.services.user_service  - Found user: 'me'.
2021-08-07 10:13:04 DEBUG    rasax.community.services.user_service  - Updated password for user 'me' to 'xiaoyun@rasax'.
Starting Rasa X in local mode... šŸš€
Traceback (most recent call last):
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/engine/base.py", line 1772, in _execute_context
    cursor, statement, parameters, context
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/engine/default.py", line 717, in do_execute
    cursor.execute(statement, parameters)
sqlite3.InterfaceError: Error binding parameter 1 - probably unsupported type.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/root/venv-rasa/lib64/python3.6/site-packages/rasa/cli/x.py", line 502, in run_locally
    domain_path=domain_path,
  File "/root/venv-rasa/lib64/python3.6/site-packages/rasax/community/local.py", line 242, in main
    project_path, data_path, session, args.port, config_path, domain_path
  File "/root/venv-rasa/lib64/python3.6/site-packages/rasax/community/local.py", line 169, in _initialize_with_local_data
    domain_path=domain_path,
  File "uvloop/loop.pyx", line 1456, in uvloop.loop.Loop.run_until_complete
  File "/root/venv-rasa/lib64/python3.6/site-packages/rasax/community/initialise.py", line 360, in inject_files_from_disk
    Path(domain_path), domain_service, constants.COMMUNITY_PROJECT_NAME, username,
  File "/root/venv-rasa/lib64/python3.6/site-packages/rasax/community/initialise.py", line 209, in inject_domain
    overwrite=True,
  File "/root/venv-rasa/lib64/python3.6/site-packages/rasax/community/services/domain_service.py", line 287, in validate_and_store_domain_yaml
    cleaned, project_id, username, filename, store_responses
  File "/root/venv-rasa/lib64/python3.6/site-packages/rasax/community/services/domain_service.py", line 102, in create_domain
    self.flush()
  File "/root/venv-rasa/lib64/python3.6/site-packages/rasax/community/database/service.py", line 34, in flush
    self.session.flush()
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/orm/session.py", line 3298, in flush
    self._flush(objects)
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/orm/session.py", line 3438, in _flush
    transaction.rollback(_capture_exception=True)
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/util/langhelpers.py", line 72, in __exit__
    with_traceback=exc_tb,
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/util/compat.py", line 207, in raise_
    raise exception
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/orm/session.py", line 3398, in _flush
    flush_context.execute()
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/orm/unitofwork.py", line 456, in execute
    rec.execute(self)
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/orm/unitofwork.py", line 633, in execute
    uow,
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/orm/persistence.py", line 247, in save_obj
    insert,
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/orm/persistence.py", line 1222, in _emit_insert_statements
    execution_options=execution_options,
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/engine/base.py", line 1583, in _execute_20
    return meth(self, args_10style, kwargs_10style, execution_options)
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/sql/elements.py", line 324, in _execute_on_connection
    self, multiparams, params, execution_options
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/engine/base.py", line 1462, in _execute_clauseelement
    cache_hit=cache_hit,
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/engine/base.py", line 1815, in _execute_context
    e, statement, parameters, cursor, context
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/engine/base.py", line 1996, in _handle_dbapi_exception
    sqlalchemy_exception, with_traceback=exc_info[2], from_=e
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/util/compat.py", line 207, in raise_
    raise exception
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/engine/base.py", line 1772, in _execute_context
    cursor, statement, parameters, context
  File "/root/venv-rasa/lib64/python3.6/site-packages/sqlalchemy/engine/default.py", line 717, in do_execute
    cursor.execute(statement, parameters)
sqlalchemy.exc.InterfaceError: (sqlite3.InterfaceError) Error binding parameter 1 - probably unsupported type.
[SQL: INSERT INTO domain_entity (domain_id, entity) VALUES (?, ?)]
[parameters: (1, {'station': {'roles': ['from', 'to']}})]
(Background on this error at: https://sqlalche.me/e/14/rvf5)

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

seems a problem in the version

refer this